<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
ConcurrentBitSet
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.concurrent.ConcurrentBitSet class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ConcurrentBitSet";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConcurrentBitSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/concurrent/ConcurrentBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConcurrentBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.concurrent</FONT>
<BR>
Class ConcurrentBitSet</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.concurrent.ConcurrentBitSet</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.52"><B>ConcurrentBitSet</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
An <code>ConcurrentBitSet</code> is pretty much the same as a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util"><CODE>BitSet</CODE></A>, 
 but operations on the set are performed in a thread-safe manner.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#ConcurrentBitSet()">ConcurrentBitSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#ConcurrentBitSet(java.util.BitSet)">ConcurrentBitSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A>&nbsp;bitSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#ConcurrentBitSet(int)">ConcurrentBitSet</A></B>(int&nbsp;bitCapacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#ConcurrentBitSet(java.lang.String)">ConcurrentBitSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;bitString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#and(ch.javasoft.util.concurrent.ConcurrentBitSet)">and</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#andNot(ch.javasoft.util.concurrent.ConcurrentBitSet)">andNot</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This set becomes this & not with</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#cardinality()">cardinality</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#cardinality(int, int)">cardinality</A></B>(int&nbsp;fromBit,
                       int&nbsp;toBit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#clear(int)">clear</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#compareAndSet(int, boolean, boolean)">compareAndSet</A></B>(int&nbsp;bit,
                           boolean&nbsp;expect,
                           boolean&nbsp;update)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Atomically sets the value to the given updated value
 if the current value <code>==</code> the expected value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#flip(int)">flip</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#get(int)">get</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#getAnd(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)">getAnd</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
             <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#getAndNot(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)">getAndNot</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
                   <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns setA and not setB</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#getOr(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)">getOr</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
           <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#getXor(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)">getXor</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
             <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#hashCode()">hashCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#isSubSetOf(ch.javasoft.util.concurrent.ConcurrentBitSet)">isSubSetOf</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;of)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#length()">length</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#main(java.lang.String[])">main</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#nextClearBit(int)">nextClearBit</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#nextSetBit(int)">nextSetBit</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#or(ch.javasoft.util.concurrent.ConcurrentBitSet)">or</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#readFrom(java.io.InputStream)">readFrom</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#set(int)">set</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#set(int, boolean)">set</A></B>(int&nbsp;bit,
       boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#toBitSet()">toBitSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#toLongArray()">toLongArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#toLongArray(long[], int)">toLongArray</A></B>(long[]&nbsp;arr,
                       int&nbsp;offset)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#writeTo(java.io.OutputStream)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html#xor(ch.javasoft.util.concurrent.ConcurrentBitSet)">xor</A></B>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This set becomes this ^ with</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ConcurrentBitSet()"><!-- --></A><H3>
ConcurrentBitSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.59"><B>ConcurrentBitSet</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="ConcurrentBitSet(int)"><!-- --></A><H3>
ConcurrentBitSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.62"><B>ConcurrentBitSet</B></A>(int&nbsp;bitCapacity)</PRE>
<DL>
</DL>
<HR>

<A NAME="ConcurrentBitSet(java.util.BitSet)"><!-- --></A><H3>
ConcurrentBitSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.65"><B>ConcurrentBitSet</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A>&nbsp;bitSet)</PRE>
<DL>
</DL>
<HR>

<A NAME="ConcurrentBitSet(java.lang.String)"><!-- --></A><H3>
ConcurrentBitSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.71"><B>ConcurrentBitSet</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;bitString)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="set(int, boolean)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.105"><B>set</B></A>(int&nbsp;bit,
                boolean&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="set(int)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.109"><B>set</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="compareAndSet(int, boolean, boolean)"><!-- --></A><H3>
compareAndSet</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.137"><B>compareAndSet</B></A>(int&nbsp;bit,
                             boolean&nbsp;expect,
                             boolean&nbsp;update)</PRE>
<DL>
<DD>Atomically sets the value to the given updated value
 if the current value <code>==</code> the expected value.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - the bit index<DD><CODE>expect</CODE> - the expected value<DD><CODE>update</CODE> - the new value
<DT><B>Returns:</B><DD>true if successful. False return indicates that
 the actual value was not equal to the expected value.</DL>
</DD>
</DL>
<HR>

<A NAME="clear(int)"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.168"><B>clear</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.187"><B>clear</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="flip(int)"><!-- --></A><H3>
flip</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.199"><B>flip</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.218"><B>get</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isSubSetOf(ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
isSubSetOf</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.233"><B>isSubSetOf</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;of)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="and(ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
and</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.271"><B>and</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="or(ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
or</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.305"><B>or</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="xor(ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
xor</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.349"><B>xor</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>This set becomes this ^ with
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="andNot(ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
andNot</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.391"><B>andNot</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>This set becomes this & not with
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getXor(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
getXor</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.421"><B>getXor</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
                                      <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getOr(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
getOr</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.453"><B>getOr</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
                                     <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAnd(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
getAnd</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.486"><B>getAnd</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
                                      <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAndNot(ch.javasoft.util.concurrent.ConcurrentBitSet, ch.javasoft.util.concurrent.ConcurrentBitSet)"><!-- --></A><H3>
getAndNot</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.514"><B>getAndNot</B></A>(<A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setA,
                                         <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A>&nbsp;setB)</PRE>
<DL>
<DD>Returns setA and not setB
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="length()"><!-- --></A><H3>
length</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.540"><B>length</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.585"><B>isEmpty</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.600"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="cardinality()"><!-- --></A><H3>
cardinality</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.616"><B>cardinality</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="cardinality(int, int)"><!-- --></A><H3>
cardinality</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.631"><B>cardinality</B></A>(int&nbsp;fromBit,
                       int&nbsp;toBit)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hashCode()"><!-- --></A><H3>
hashCode</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.662"><B>hashCode</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.680"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.717"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nextSetBit(int)"><!-- --></A><H3>
nextSetBit</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.746"><B>nextSetBit</B></A>(int&nbsp;from)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nextClearBit(int)"><!-- --></A><H3>
nextClearBit</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.767"><B>nextClearBit</B></A>(int&nbsp;from)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toBitSet()"><!-- --></A><H3>
toBitSet</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.788"><B>toBitSet</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeTo(java.io.OutputStream)"><!-- --></A><H3>
writeTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.796"><B>writeTo</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)
             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="readFrom(java.io.InputStream)"><!-- --></A><H3>
readFrom</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/concurrent/ConcurrentBitSet.html" title="class in ch.javasoft.util.concurrent">ConcurrentBitSet</A> <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.813"><B>readFrom</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in)
                                 throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toLongArray()"><!-- --></A><H3>
toLongArray</H3>
<PRE>
public long[] <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.825"><B>toLongArray</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toLongArray(long[], int)"><!-- --></A><H3>
toLongArray</H3>
<PRE>
public long[] <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.829"><B>toLongArray</B></A>(long[]&nbsp;arr,
                          int&nbsp;offset)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="main(java.lang.String[])"><!-- --></A><H3>
main</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/util/concurrent/ConcurrentBitSet.html#line.846"><B>main</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConcurrentBitSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/concurrent/ConcurrentBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConcurrentBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
